Mail archive
alpine-aports

[alpine-aports] [PATCH] main/alpine-base-layout: install crontab with mode 600

From: Sören Tempel <soeren+git_at_soeren-tempel.net>
Date: Thu, 24 Sep 2015 17:49:26 +0200

This is the default mode used by crontab(1) when creating a new crontab.
---
 main/alpine-baselayout/APKBUILD | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)
diff --git a/main/alpine-baselayout/APKBUILD b/main/alpine-baselayout/APKBUILD
index 1a85f72..4905bfa 100644
--- a/main/alpine-baselayout/APKBUILD
+++ b/main/alpine-baselayout/APKBUILD
_at_@ -1,7 +1,7 @@
 # Maintainer: Natanael Copa <ncopa_at_alpinelinux.org>
 pkgname=alpine-baselayout
 pkgver=2.3.2
-pkgrel=1
+pkgrel=2
 pkgdesc="Alpine base dir structure and init scripts"
 url="http://git.alpinelinux.org/cgit/aports/tree/main/alpine-baselayout"
 arch="all"
_at_@ -103,7 +103,7 @@ package() {
 	install -m755 "$_builddir"/mkmntdirs "$pkgdir"/sbin/mkmntdirs \
 		|| return 1
 
-	install -m644 "$srcdir"/crontab "$pkgdir"/etc/crontabs/root || return 1
+	install -m600 "$srcdir"/crontab "$pkgdir"/etc/crontabs/root || return 1
 	install -m644 "$srcdir"/color_prompt "$pkgdir"/etc/profile.d/ \
 		|| return 1
 	install -m644 \
-- 
2.5.3
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Thu Sep 24 2015 - 17:49:26 GMT